Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional
Class AbstractMetaDataEnabledFeature

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature

All Implemented Interfaces:
  IMetaDataEnabledFeature

Direct Known Subclasses:
  AbstractRootTypeDescriptor, FacesConfigIdentifierFeatures

public abstract class AbstractMetaDataEnabledFeature
extends java.lang.Object
implements IMetaDataEnabledFeature

Simple abstract class that implementers of IMetaDataEnabledFeature can subclass

Constructor Summary
`AbstractMetaDataEnabledFeature()`

Method Summary
`java.lang.String` | `getBundleID()` Gets the bundleId used to define the extension
`CMAnnotationContext` | `getCMAnnotationContext()` Gets content model context that this feature will operating on
`protected java.lang.String` | `getCMAttributePropertyValue(java.lang.String propName)` Return the single expected String value for a given property.
`protected java.util.List` | `getCMAttributePropertyValues(java.lang.String propName)` Return the List of values for a given property.
`protected java.lang.String` | `getCMSmallIcon()`
`protected org.eclipse.jface.resource.ImageDescriptor` | `getImage()`
`IStructuredDocumentContext` | `getStructuredDocumentContext()` Gets structured document context that this feature will operating on
`void` | `setBundleID(java.lang.String bundleID)` Sets the bundle id used to define this feature
`void` | `setContentModelContext(CMAnnotationContext context)` Sets content model context that this feature will operating on
`void` | `setStructuredDocumentContext(IStructuredDocumentContext context)` Sets structured document context that this feature will operating on

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMetaDataEnabledFeature

    public AbstractMetaDataEnabledFeature()

Method Detail

### setContentModelContext

    public void setContentModelContext(CMAnnotationContext context)

  Description copied from interface: `IMetaDataEnabledFeature`
  Sets content model context that this feature will operating on

  Specified by:
    `setContentModelContext` in interface `IMetaDataEnabledFeature`

### getCMAnnotationContext

    public CMAnnotationContext getCMAnnotationContext()

  Description copied from interface: `IMetaDataEnabledFeature`
  Gets content model context that this feature will operating on

  Specified by:
    `getCMAnnotationContext` in interface `IMetaDataEnabledFeature`
  Returns:
    CMAnnotationContext

### setBundleID

    public void setBundleID(java.lang.String bundleID)

  Description copied from interface: `IMetaDataEnabledFeature`
  Sets the bundle id used to define this feature

  Specified by:
    `setBundleID` in interface `IMetaDataEnabledFeature`

### getBundleID

    public java.lang.String getBundleID()

  Description copied from interface: `IMetaDataEnabledFeature`
  Gets the bundleId used to define the extension

  Specified by:
    `getBundleID` in interface `IMetaDataEnabledFeature`
  Returns:
    bundleID

### setStructuredDocumentContext

    public void setStructuredDocumentContext(IStructuredDocumentContext context)

  Description copied from interface: `IMetaDataEnabledFeature`
  Sets structured document context that this feature will operating on

  Specified by:
    `setStructuredDocumentContext` in interface `IMetaDataEnabledFeature`

### getStructuredDocumentContext

    public IStructuredDocumentContext getStructuredDocumentContext()

  Description copied from interface: `IMetaDataEnabledFeature`
  Gets structured document context that this feature will operating on

  Specified by:
    `getStructuredDocumentContext` in interface `IMetaDataEnabledFeature`
  Returns:
    IStructuredDocumentContext

### getCMAttributePropertyValue

    protected java.lang.String getCMAttributePropertyValue(java.lang.String propName)

  Return the single expected String value for a given property. Since the CMAnnotationContext, where the type-id was found, may have come from a wild card, or the property being looked up now is, we should first look for the named property on the specific element and only if not found, look for it on the * element.

  Returns:
    String value

### getCMAttributePropertyValues

    protected java.util.List getCMAttributePropertyValues(java.lang.String propName)

  Return the List of values for a given property. Since the CMAnnotationContext, where the type-id was found, may have come from a wild card, or the property being looked up now is, we should first look for the named property on the specific element and only if not found, look for it on the * element.

  Returns:
    List of CMAnnotationPropertyValues

### getCMSmallIcon

    protected java.lang.String getCMSmallIcon()

  Returns:
    small-icon name

### getImage

    protected org.eclipse.jface.resource.ImageDescriptor getImage()

  Returns:
    ImageDescriptor from the small-icon property for annotation from the same bundle as the annotation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD